<?php
/* ThemeREX Popup support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'blabber_trx_popup_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'blabber_trx_popup_theme_setup9', 9 );
	function blabber_trx_popup_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'blabber_filter_tgmpa_required_plugins', 'blabber_trx_popup_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'blabber_trx_popup_tgmpa_required_plugins' ) ) {
	
	function blabber_trx_popup_tgmpa_required_plugins( $list = array() ) {
		if ( blabber_storage_isset( 'required_plugins', 'trx_popup' ) && blabber_storage_get_array( 'required_plugins', 'trx_popup', 'install' ) !== false && blabber_is_theme_activated() ) {
			$path = blabber_get_plugin_source_path( 'plugins/trx_popup/trx_popup.zip' );
			if ( ! empty( $path ) || blabber_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => blabber_storage_get_array( 'required_plugins', 'trx_popup', 'title' ),
					'slug'     => 'trx_popup',
                    'version'  => '1.1.1',
					'source'   => ! empty( $path ) ? $path : 'upload://trx_popup.zip',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'blabber_exists_trx_popup' ) ) {
	function blabber_exists_trx_popup() {
		return defined( 'TRX_POPUP_URL' );
	}
}

// Enqueue custom scripts
if ( ! function_exists( 'blabber_trx_popup_frontend_scripts' ) ) {
	
	function blabber_trx_popup_frontend_scripts() {
		if ( blabber_is_on( blabber_get_theme_option( 'debug_mode' ) ) ) {
			$blabber_url = blabber_get_file_url( 'plugins/trx_popup/trx_popup.css' );
			if ( '' != $blabber_url ) {
				wp_enqueue_style( 'blabber-trx-popup', $blabber_url, array(), null );
			}
		}
	}
}


