<?php
// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'blabber_skin_get_css' ) ) {
	add_filter( 'blabber_filter_get_css', 'blabber_skin_get_css', 10, 2 );
	function blabber_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
	
    .menu_mobile .menu_mobile_nav_area > ul > li > a{
        {$fonts['h4_font-family']}
    }


    span.wpcf7-not-valid-tip,
    .copyright-text,
    .socials_wrap .social_item .social_name,
    .widget_calendar td#prev a,
    .widget_calendar td#next a,
    .widget_calendar caption,
    .widget_calendar th,
    .widget_area .post_item .post_info, aside .post_item .post_info,
    .widget_area .post_item .post_categories, aside .post_item .post_categories,
    .widget_recent_posts .post_item.with_thumb .post_thumb:before,
    .widget li {
        {$fonts['h6_font-family']}
    }    
    
    body .minimal-light .esg-navigationbutton,
    .widget_twitter_follow {
        {$fonts['button_font-family']}
        {$fonts['button_font-size']}
        {$fonts['button_font-weight']}
        {$fonts['button_font-style']}
        {$fonts['button_line-height']}
        {$fonts['button_text-decoration']}
        {$fonts['button_text-transform']}
        {$fonts['button_letter-spacing']}
    }
    .sc_icons_default .sc_icons_item .sc_icons_item_description, 
    .sc_skills_pie.sc_skills_compact_off .sc_skills_item_title,
    blockquote, 
    .menu_mobile .menu_mobile_nav_area > ul > li li > a,
    .sc_twitter_default .sc_twitter_item_content,
    .breadcrumbs .breadcrumbs_item,    
    .sc_promo.sc_promo_default .sc_item_subtitle {        
        {$fonts['info_font-family']}
    }

    .audio_description, 
    .elementor-counter .elementor-counter-title, 
    .elementor-counter .elementor-counter-number-wrapper, 
    .elementor-widget-progress .elementor-title, 
    .breadcrumbs, 
    .sc_edd_details .downloads_page_tags .downloads_page_data>a, 
    .widget_product_tag_cloud a, 
    .widget_tag_cloud a, 
    .recentcomments, 
    .wpcf7 div.wpcf7-response-output, 
    .wpcf7-form label, 
    form.mc4wp-form label, 
    .wpcf7-acceptance label, 
    .wpgdprc-checkbox label, 
    figure figcaption, .wp-caption .wp-caption-text, 
    .wp-caption .wp-caption-dd, 
    .wp-caption-overlay .wp-caption .wp-caption-text, 
    .wp-caption-overlay .wp-caption .wp-caption-dd{
        {$fonts['info_font-family']}
    }
    
    
    input[type="radio"] + label, 
    input[type="checkbox"] + label, 
    input[type="radio"] + .wpcf7-list-item-label, 
    input[type="checkbox"] + .wpcf7-list-item-label, 
    .edd_price_options ul > li > label > input[type="radio"] + span, 
    .edd_price_options ul > li > label > input[type="checkbox"] + span{
        {$fonts['info_font-family']}
    }
    
    .sc_layouts_menu_nav>li>a{
        {$fonts['menu_font-family']}
        {$fonts['menu_font-size']}
        {$fonts['menu_font-weight']}
        {$fonts['menu_font-style']}
        {$fonts['menu_line-height']}
        {$fonts['menu_text-decoration']}
        {$fonts['menu_text-transform']}
        {$fonts['menu_letter-spacing']}
    }
    .search_wrap.search_style_expand  input[placeholder],
    .search_wrap.search_style_expand .search_submit,
    .sc_layouts_menu_mobile_button_burger:not(.without_menu) .burger-text{
        {$fonts['button_font-family']}
        {$fonts['h4_font-size']}
        {$fonts['button_font-weight']}
    }
    .sc_team.sc_team_featured .sc_team_item_subtitle a,
    .sc_promo.sc_promo_default .sc_item_subtitle,
    .woocommerce ul.products li.product .post_header > a,
    .widget_twitter .widget_twitter_follow,
    .post_meta .post_meta_item.post_categories a{
        {$fonts['h5_font-family']}
         {$fonts['h5_font-weight']}
    }
    .related_wrap.sc_team_posts .post_title, 
    .related_wrap.related_style_classic .post_title{
        {$fonts['h3_font-family']}
        {$fonts['h3_font-size']}
        {$fonts['h3_font-weight']}
        {$fonts['h3_font-style']}
        {$fonts['h3_line-height']}
        {$fonts['h3_text-decoration']}
        {$fonts['h3_text-transform']}
        {$fonts['h3_letter-spacing']}
    }
    .woocommerce ul.products li.product .price,
    .comments_list_wrap .comment_author{
        {$fonts['info_font-family']}
    }
    .author_description .author_title,
    .comments_list_wrap .comment_reply{
        {$fonts['h6_font-family']}
    }
    .sc_blogger_default.sc_blogger_default_over_centered_middle .sc_blogger_item_title,
    .slider_titles_outside_wrap .slide_title{
        {$fonts['h1_font-family']}
        {$fonts['h1_font-size']}
        {$fonts['h1_font-weight']}
        {$fonts['h1_font-style']}
        {$fonts['h1_line-height']}
        {$fonts['h1_text-decoration']}
        {$fonts['h1_text-transform']}
        {$fonts['h1_letter-spacing']}
    }
      .esg-entry-cover .eec > div,
    .sc_icons_default .sc_icons_item .sc_icons_item_description, 
    .sc_skills_pie.sc_skills_compact_off .sc_skills_item_title, 
    .trx_addons_dropcap, 
    .toc_menu_item .toc_menu_description, 
    .sc_recent_news .post_item .post_footer .post_meta .post_meta_item,
    .sc_item_subtitle, .sc_icons_item_title, 
    .sc_price_item_title, .sc_price_item_price, 
    .sc_courses_default .sc_courses_item_price, 
    .sc_courses_default .trx_addons_hover_content .trx_addons_hover_links a, 
    .sc_events_classic .sc_events_item_price, 
    .sc_events_classic .trx_addons_hover_content .trx_addons_hover_links a, 
    .sc_promo_modern .sc_promo_link2 span+span, 
    .sc_skills_counter .sc_skills_total, 
    .sc_skills_pie.sc_skills_compact_off .sc_skills_total, 
    .slider_container .slide_info.slide_info_large .slide_title, 
    .slider_style_modern .slider_controls_label span + span, 
    .slider_pagination_wrap, .sc_slider_controller_info{
        {$fonts['p_font-family']}
    }
    mark, ins,
    body.widget_price_filter .price_slider_wrapper .price_slider_amount,  
    body.woocommerce .widget_price_filter .price_slider_amount,
    body.woocommerce.widget_shopping_cart .total, 
    body.woocommerce .widget_shopping_cart .total, 
    body.woocommerce-page.widget_shopping_cart .total, 
    body.woocommerce-page .widget_shopping_cart .total, 
    body.woocommerce ul.products li.product .price, 
    body.woocommerce-page ul.products li.product .price, 
    body.woocommerce ul.products li.product .post_header, 
    body.woocommerce-page ul.products li.product .post_header, 
    body.single-product div.product .woocommerce-tabs .wc-tabs li a, 
    body.woocommerce .shop_table th, .woocommerce span.onsale, 
    body.woocommerce div.product p.price, 
    body.woocommerce div.product span.price, 
    body.woocommerce div.product .summary .stock, 
    .woocommerce .entry-summary div.product p.price, 
    .woocommerce div.product .entry-summary p.price, .woocommerce div.product .entry-summary span.price,
    
     .woocommerce #content table.cart td.product-name a, 
     .woocommerce-page #content table.cart td.product-name a, 
     .woocommerce .checkout table.shop_table .product-name, 
     .woocommerce .shop_table.order_details td.product-name, 
     .woocommerce .order_details li strong, 
     .woocommerce-MyAccount-navigation, 
    .woocommerce-MyAccount-content .woocommerce-Address-title a,
    .woocommerce.widget_shopping_cart .quantity, 
    .woocommerce .widget_shopping_cart .quantity, 
    .woocommerce-page.widget_shopping_cart .quantity,
    .woocommerce-page .widget_shopping_cart .quantity{
        {$fonts['p_font-family']}
    }
    
    .woocommerce .checkout table.shop_table .product-name,
    body.woocommerce form .form-row label, 
    body.woocommerce-page form .form-row label, 
    body.woocommerce .comment-form label, 
    body.woocommerce div.product form.cart .variations label,
    .woocommerce table.cart td.product-name a, 
    body.woocommerce-page table.cart td.product-name a, 
    body.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta strong, 
    body.woocommerce-page #reviews #comments ol.commentlist li .comment-text p.meta strong{
        {$fonts['h4_font-family']}
    }

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

   .sc_layouts_menu_nav > li > a{
        color: {$colors['text_dark']} !important;
   }
   .sc_layouts_menu_nav>li.sfHover>a,
   .sc_layouts_menu_nav > li > a:hover{
        color: {$colors['text_link']} !important;
   }
   .search_wrap .search_submit:before,
   .sc_layouts_item_icon, 
   .sc_layouts_menu_mobile_button_burger:not(.without_menu) .sc_layouts_iconed_text_link,
   .sc_layouts_row_type_narrow .sc_layouts_item_icon,
   .sc_layouts_row_type_narrow .search_wrap .search_submit{
    color: {$colors['text_dark']};
   }
  
   .search_style_expand .search_submit:hover,
   .search_style_expand .search_submit:hover:before,
   .sc_layouts_item_icon:hover, 
   .sc_layouts_menu_mobile_button_burger:not(.without_menu) .sc_layouts_iconed_text_link:hover,
   .sc_layouts_menu_mobile_button_burger:not(.without_menu) .sc_layouts_iconed_text_link:hover .sc_layouts_item_icon,
   .sc_layouts_row_type_narrow .sc_layouts_item_icon:hover,
   .sc_layouts_row_type_narrow .search_wrap .search_submit:hover{
        color: {$colors['text']};
   }
   
    input[type="submit"],
    input[type="reset"],
    input[type="button"] {
        color: {$colors['alter_hover']};
        background-color: {$colors['bg_color']};
        border-color: {$colors['alter_hover']};
    }
    
    
    /*Blockquote*/
    blockquote:not(.has-text-color):before,
    blockquote:not(.has-text-color), 
    blockquote:not(.has-text-color) p, 
    .wp-block-quote .wp-block-quote__citation{
        color: {$colors['alter_hover']} !important;
    }
    .trx_addons_dropcap_style_1,
	section>blockquote, 
	div:not(.is-style-solid-color)>blockquote, 
	figure:not(.is-style-solid-color)>blockquote{
	      background-color: {$colors['alter_link']};
	}

	.wpgdprc-checkbox label input[type="checkbox"]:before,
	input[type="radio"] + label:before, 
	input[type="checkbox"] + label:before, 
	input[type="radio"] + .wpcf7-list-item-label:before, 
	input[type="checkbox"] + .wpcf7-list-item-label:before, 
	.wpcf7-list-item-label.wpcf7-list-item-right:before, 
	.edd_price_options ul > li > label > input[type="radio"] + span:before, 
	.edd_price_options ul > li > label > input[type="checkbox"] + span:before{
	    border-color: {$colors['text_dark']} !important;
	}
	
	label > input[type="radio"], 
	label > input[type="checkbox"], 
	input[type="checkbox"].wpcf7-acceptance{
	    color: {$colors['text']}; 
	}
	
	 .trx_addons_dropcap_style_1{
	     color: {$colors['text_dark']}; 
	 }
	
    /* Normal button */
    form button:not(.components-button),
    input[type="reset"],
    input[type="submit"],
    input[type="button"],
    .post_item .more-link,
    .comments_wrap .form-submit input[type="submit"],
    .wp-block-button:not(.is-style-outline) > .wp-block-button__link,
    /* BB & Buddy Press */
    #buddypress .comment-reply-link,
    #buddypress .generic-button a,
    #buddypress a.button,
    #buddypress button,
    #buddypress input[type="button"],
    #buddypress input[type="reset"],
    #buddypress input[type="submit"],
    #buddypress ul.button-nav li a,
    a.bp-title-button,
    /* Booked */
    .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button,
    #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button > a,
    #booked-profile-page input[type="submit"],
    #booked-profile-page button,
    .booked-list-view input[type="submit"],
    .booked-list-view button,
    table.booked-calendar input[type="submit"],
    table.booked-calendar button,
    .booked-modal input[type="submit"],
    .booked-modal button,
    /* ThemeREX Addons */
    .sc_button_default,
    .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image),
    .socials_share:not(.socials_type_drop) .social_icon,
    /* Tour Master */
    .tourmaster-tour-search-wrap input.tourmaster-tour-search-submit[type="submit"],
    /* Tribe Events */
    #tribe-bar-form .tribe-bar-submit input[type="submit"],
    #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"],
    #tribe-bar-form .tribe-bar-views-toggle,
    #tribe-bar-views li.tribe-bar-views-option,
    #tribe-events .tribe-events-button,
    .tribe-events-button,
    .tribe-events-cal-links a,
    .tribe-events-sub-nav li a,
    /* EDD buttons */
    .edd_download_purchase_form .button,
    #edd-purchase-button,
    .edd-submit.button,
    .widget_edd_cart_widget .edd_checkout a,
    .sc_edd_details .downloads_page_tags .downloads_page_data > a,
    /* MailChimp */
    .mc4wp-form input[type="submit"],
    /* WooCommerce */
    .woocommerce #respond input#submit,
    .woocommerce .button, .woocommerce-page .button,
    .woocommerce a.button, .woocommerce-page a.button,
    .woocommerce button.button, .woocommerce-page button.button,
    .woocommerce input.button, .woocommerce-page input.button,
    .woocommerce input[type="button"], .woocommerce-page input[type="button"],
    .woocommerce input[type="submit"], .woocommerce-page input[type="submit"],
    .woocommerce #respond input#submit.alt,
    .woocommerce a.button.alt,
    .woocommerce button.button.alt,
    .woocommerce input.button.alt {
        background-color: {$colors['alter_link']};
        color: {$colors['alter_hover']};
    }
     form.mc4wp-form .mc4wp-alert a:hover{
        color: {$colors['text']} !important;
     }
    .mc4wp-form a:hover{
        color: {$colors['text_dark']} !important;
    }
    
    /* Buttons hover */
    form button:not(.components-button):hover,
    form button:not(.components-button):focus,
    input[type="submit"]:hover,
    input[type="submit"]:focus,
    input[type="reset"]:hover,
    input[type="reset"]:focus,
    input[type="button"]:hover,
    input[type="button"]:focus,
    .post_item .more-link:hover,
    .comments_wrap .form-submit input[type="submit"]:hover,
    .comments_wrap .form-submit input[type="submit"]:focus,
    .wp-block-button:not(.is-style-outline) .wp-block-button__link:hover,
    .wp-block-button:not(.is-style-outline) .wp-block-button__link:focus,
    /* BB & Buddy Press */
    #buddypress .comment-reply-link:hover,
    #buddypress .comment-reply-link:focus,
    #buddypress .generic-button a:hover,
    #buddypress .generic-button a:focus,
    #buddypress a.button:hover,
    #buddypress a.button:focus,
    #buddypress button:hover,
    #buddypress button:focus,
    #buddypress input[type="button"]:hover,
    #buddypress input[type="button"]:focus,
    #buddypress input[type="reset"]:hover,
    #buddypress input[type="reset"]:focus,
    #buddypress input[type="submit"]:hover,
    #buddypress input[type="submit"]:focus,
    #buddypress ul.button-nav li a:hover,
    #buddypress ul.button-nav li a:focus,
    a.bp-title-button:hover,
    a.bp-title-button:focus,
    /* Booked */
    .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button:hover,
    .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button:focus,
    #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button > a:hover,
    #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button > a:focus,
    #booked-profile-page input[type="submit"]:hover,
    #booked-profile-page input[type="submit"]:focus,
    #booked-profile-page button:hover,
    #booked-profile-page button:focus,
    .booked-list-view input[type="submit"]:hover,
    .booked-list-view input[type="submit"]:focus,
    .booked-list-view button:hover,
    .booked-list-view button:focus,
    table.booked-calendar input[type="submit"]:hover,
    table.booked-calendar input[type="submit"]:focus,
    table.booked-calendar button:hover,
    table.booked-calendar button:focus,
    .booked-modal input[type="submit"]:hover,
    .booked-modal input[type="submit"]:focus,
    .booked-modal button:hover,
    .booked-modal button:focus,
    /* ThemeREX Addons */
    .sc_button_default:hover,
    .sc_button_default:focus,
    .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover,
    .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):focus,
    .socials_share:not(.socials_type_drop) .social_icon:hover,
    .socials_share:not(.socials_type_drop) .social_icon:focus,
    /* Tour Master */
    .tourmaster-tour-search-wrap input.tourmaster-tour-search-submit[type="submit"]:hover,
    .tourmaster-tour-search-wrap input.tourmaster-tour-search-submit[type="submit"]:focus,
    /* Tribe Events */
    #tribe-bar-form .tribe-bar-submit input[type="submit"]:hover,
    #tribe-bar-form .tribe-bar-submit input[type="submit"]:focus,
    #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:hover,
    #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:focus,
    #tribe-bar-form .tribe-bar-views-toggle:hover,
    #tribe-bar-form .tribe-bar-views-toggle:focus,
    #tribe-bar-views li.tribe-bar-views-option:hover,
    #tribe-bar-views li.tribe-bar-views-option:focus,
    #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active,
    #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active:hover,
    #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active:focus,
    #tribe-events .tribe-events-button:hover,
    #tribe-events .tribe-events-button:focus,
    .tribe-events-button:hover,
    .tribe-events-button:focus,
    .tribe-events-cal-links a:hover,
    .tribe-events-cal-links a:focus,
    .tribe-events-sub-nav li a:hover,
    .tribe-events-sub-nav li a:focus,
    /* EDD buttons */
    .edd_download_purchase_form .button:hover, .edd_download_purchase_form .button:active, .edd_download_purchase_form .button:focus,
    #edd-purchase-button:hover, #edd-purchase-button:active, #edd-purchase-button:focus,
    .edd-submit.button:hover, .edd-submit.button:active, .edd-submit.button:focus,
    .widget_edd_cart_widget .edd_checkout a:hover,
    .widget_edd_cart_widget .edd_checkout a:focus,
    .sc_edd_details .downloads_page_tags .downloads_page_data > a:hover,
    .sc_edd_details .downloads_page_tags .downloads_page_data > a:focus,
    /* MailChimp */
    .mc4wp-form input[type="submit"]:hover,
    .mc4wp-form input[type="submit"]:focus,
    /* WooCommerce */
    .woocommerce #respond input#submit:hover,
    .woocommerce #respond input#submit:focus,
    .woocommerce .button:hover, .woocommerce-page .button:hover,
    .woocommerce .button:focus, .woocommerce-page .button:focus,
    .woocommerce a.button:hover, .woocommerce-page a.button:hover,
    .woocommerce a.button:focus, .woocommerce-page a.button:focus,
    .woocommerce button.button:hover, .woocommerce-page button.button:hover,
    .woocommerce button.button:focus, .woocommerce-page button.button:focus,
    .woocommerce input.button:hover, .woocommerce-page input.button:hover,
    .woocommerce input.button:focus, .woocommerce-page input.button:focus,
    .woocommerce input[type="button"]:hover, .woocommerce-page input[type="button"]:hover,
    .woocommerce input[type="button"]:focus, .woocommerce-page input[type="button"]:focus,
    .woocommerce input[type="submit"]:hover, .woocommerce-page input[type="submit"]:hover,
    .woocommerce input[type="submit"]:focus, .woocommerce-page input[type="submit"]:focus {
        color: {$colors['alter_hover']};
        background-color: {$colors['alter_link3']};
        border-color: {$colors['alter_hover']};
    }
    
    /* Text fields */
    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="url"],
    input[type="tel"],
    input[type="password"],
    input[type="search"],
    select,
    textarea,
    textarea.wp-editor-area,
      /* MailChimp */
    form.mc4wp-form .mc4wp-form-fields input[type="email"],
      /* Tour Master */
    .tourmaster-form-field input[type="text"],
    .tourmaster-form-field input[type="email"],
    .tourmaster-form-field input[type="password"],
    .tourmaster-form-field textarea,
    .tourmaster-form-field select,
    .tourmaster-form-field.tourmaster-with-border input[type="text"],
    .tourmaster-form-field.tourmaster-with-border input[type="email"],
    .tourmaster-form-field.tourmaster-with-border input[type="password"],
    .tourmaster-form-field.tourmaster-with-border textarea,
    .tourmaster-form-field.tourmaster-with-border select,
      /* WooCommerce */
    .woocommerce table.cart td.actions .coupon .input-text,
    .woocommerce #content table.cart td.actions .coupon .input-text,
    .woocommerce-page table.cart td.actions .coupon .input-text,
    .woocommerce-page #content table.cart td.actions .coupon .input-text,
      /* BB Press*/
    #buddypress div.dir-search input[type="search"],
    #buddypress div.dir-search input[type="text"],
    #buddypress li.groups-members-search input[type="search"],
    #buddypress li.groups-members-search input[type="text"],
    #buddypress .standard-form input[type="color"],
    #buddypress .standard-form input[type="date"],
    #buddypress .standard-form input[type="datetime-local"],
    #buddypress .standard-form input[type="datetime"],
    #buddypress .standard-form input[type="email"],
    #buddypress .standard-form input[type="month"],
    #buddypress .standard-form input[type="number"],
    #buddypress .standard-form input[type="password"],
    #buddypress .standard-form input[type="range"],
    #buddypress .standard-form input[type="search"],
    #buddypress .standard-form input[type="tel"],
    #buddypress .standard-form input[type="text"],
    #buddypress .standard-form input[type="time"],
    #buddypress .standard-form input[type="url"],
    #buddypress .standard-form input[type="week"],
    #buddypress .standard-form select,
    #buddypress .standard-form textarea,
      /* Give */
    #give-recurring-form .form-row input[type="email"],
    #give-recurring-form .form-row input[type="password"],
    #give-recurring-form .form-row input[type="tel"],
    #give-recurring-form .form-row input[type="text"],
    #give-recurring-form .form-row input[type="url"],
    #give-recurring-form .form-row select,
    #give-recurring-form .form-row textarea,
    form.give-form .form-row input[type="email"],
    form.give-form .form-row input[type="password"],
    form.give-form .form-row input[type="tel"],
    form.give-form .form-row input[type="text"],
    form.give-form .form-row input[type="url"],
    form.give-form .form-row select,
    form.give-form .form-row textarea,
    form[id*="give-form"] .form-row input[type="email"],
    form[id*="give-form"] .form-row input[type="password"],
    form[id*="give-form"] .form-row input[type="tel"],
    form[id*="give-form"] .form-row input[type="text"],
    form[id*="give-form"] .form-row input[type="url"],
    form[id*="give-form"] .form-row select,
    form[id*="give-form"] .form-row textarea,
    form[id*="give-form"] .give-donation-amount #give-amount,
    form[id*="give-form"] .give-donation-amount #give-amount-text,
    form[id*="give-form"] #give-final-total-wrap .give-final-total-amount,
    form[id*="give-form"] .give-donation-amount .give-currency-symbol,
    form[id*="give-form"] .give-donation-amount .give-currency-symbol.give-currency-position-before,
    form[id*="give-form"] .give-donation-amount .give-currency-symbol.give-currency-position-after,
    form[id*="give-form"] #give-final-total-wrap .give-donation-total-label {
        border-color: {$colors['inverse_bd_color']};
        background-color: {$colors['bg_color']};
    }

    .comments_wrap .form-submit input[type="submit"]{
        color: {$colors['text_hover']};
        background-color: {$colors['bg_color']};
        border-color: {$colors['text_hover']};
    }
    .widget .widget_title:after, .widget .widgettitle:after {
	    background: {$colors['bd_color']};
    }
    .scheme_self.footer_wrap .widget .widget_title:after,
    .scheme_self.footer_wrap .widget .widgettitle:after,
    .scheme_self.sidebar .widget .widget_title:after,
    .scheme_self.sidebar .widget .widgettitle:after {
	    background: {$colors['alter_bd_hover']};
    }        
    .widget li > a:after {    
        background-color: {$colors['alter_bg_color']};
    }
    .scheme_self.sidebar .widget li > a:after,
    .scheme_self.footer_wrap .widget li > a:after {    
        background-color: {$colors['alter_bd_color']};
    }
    .sidebar_inner .widget_product_search,
    .sidebar_inner .widget_search {
        background-color: {$colors['alter_bg_color']};
    }
    .sidebar_inner .widget_product_search input[type="text"],
    .sidebar_inner .widget_search input[type="search"] {
        border-color: {$colors['alter_bd_color']};
    }
    .sidebar_inner .widget_product_search input[type="text"]:focus,
    .sidebar_inner .widget_product_search input[type="text"]:active,
    .sidebar_inner .widget_search input[type="search"]:focus,
    .sidebar_inner .widget_search input[type="search"]:active {
        border-color: {$colors['input_bd_hover']};
    }
    .scheme_self.sidebar .sidebar_inner .widget_product_search input[type="text"],
    .scheme_self.sidebar .sidebar_inner .widget_search input[type="search"] {
	    border-color: {$colors['input_bd_color']};
    }

    .widget_recent_posts .post_item.with_thumb .post_thumb:before {
        color: {$colors['bg_color']};
        background-color: {$colors['text_hover']};
    }
    
    .post_item_single .post_content .post_tags .post_meta_label{
        color: {$colors['text_dark']};
    }
    .post_item_single .post_content .post_meta .post_share .socials_type_block .social_item:hover .social_icon,
    .post_item_single .post_content .post_tags a:hover{
        color: {$colors['extra_text']} !important;
    }

    .sc_item_title_style_accent .sc_item_title_text:before,
    .sc_item_title_style_accent .sc_item_title_text:after {
        background-color: {$colors['extra_bg_color']};
    }
    .sc_title_accent .sc_item_descr {
        color: {$colors['text_light']};
    }
    .sc_title_accent .sc_button_simple:hover,
    .sc_title_accent .sc_button_simple {
        color: {$colors['text_dark']};
    }

    .footer_wrap .sc_socials_icons_names .social_item .social_icon,
    .scheme_self.footer_wrap .sc_socials_icons_names .social_item .social_icon,
    .footer_wrap .sc_socials_icons_names .social_item,
    .scheme_self.footer_wrap .sc_socials_icons_names .social_item {
        color: {$colors['text']};
    }
    .footer_wrap .sc_socials_icons_names .social_item:hover .social_icon,
    .scheme_self.footer_wrap .sc_socials_icons_names .social_item:hover .social_icon,
    .footer_wrap .sc_socials_icons_names .social_item:hover,
    .scheme_self.footer_wrap .sc_socials_icons_names .social_item:hover {
        color: {$colors['text_dark']};
    }    
    .footer_wrap .sc_socials_icons_names .social_item + .social_item,
    .scheme_self.footer_wrap .sc_socials_icons_names .social_item + .social_item {
        border-color: {$colors['bd_color']};
    }
    .woocommerce ul.products li.product .woocommerce-loop-product__title a,
    .woocommerce ul.products li.product h2 a,
    .sc_blogger_item_wide.sc_blogger_item_on_plate .sc_blogger_item_content .sc_blogger_item_title  a,
    .sc_blogger.sc_blogger_list .sc_blogger_item_title a,
    .sc_blogger.sc_blogger_default .sc_blogger_item_title a,
    .related_wrap.sc_team_posts .post_title a,
    .related_wrap.related_style_classic .post_title a,
    .nav-links-single .nav-links a .post-title,
    .post_layout_chess .post_title a,
    .copyright-text a,
    .sc_title_accent .sc_button_simple,
    .post_layout_classic .post_title a,
    .post_layout_style .post_title a,
    .post_layout_info .post_title a,
    .post_layout_extra .post_title a,
    .post_layout_plain .post_title a,
    .post_layout_excerpt .post_title a,
    .sc_recent_news_style_news-extra .post_item.post_size_small .post_title a,
    .widget_area .entry-title a,
    .widget_area .post_item .post_title a,
    aside .post_item .post_title a {
        color: {$colors['text_dark']} ;
        background-image: linear-gradient(to right,{$colors['text_dark']} 0%,{$colors['text_dark']} 100%);
    }    
    
    .woocommerce ul.products li.product .post_header a:hover h2,
    .woocommerce ul.products li.product .post_header a:hover{
        color: {$colors['text_dark']} !important;
    }
    .sticky .post_title a,
    .sticky .post_sticky_wrap .post_title a {
	    color: {$colors['extra_dark']} !important;
	    background-image: linear-gradient(to right,{$colors['extra_dark']} 0%,{$colors['extra_dark']} 100%);
     }    

    .copyright-text a:hover,
    .copyright-text a {
        color: {$colors['text_dark']};
    }
    .comments_list_wrap .comment_author:after,
    .post_meta .post_meta_item:after,
    .post_meta .post_meta_item.post_edit:after,
    .post_meta .vc_inline-link:after {
        border-color: {$colors['text_light_07']};
    }
    
    .comments_list_wrap .comment_reply a{
        color: {$colors['text_dark']} ;
    }
    .comments_list_wrap .comment_reply a:hover{
        color: {$colors['text']} ;
    }
    .woocommerce ul.products li.product .post_header > a,
    .sc_team.sc_team_featured .sc_team_item_subtitle a,
    .sc_promo.sc_promo_default .sc_item_subtitle,
    .post_meta .post_meta_item.post_categories a {
        color: {$colors['alter_hover']} !important;
        background-color: {$colors['alter_link']};
    }

    .woocommerce ul.products li.product .post_header > a:hover,
    .sc_team.sc_team_featured .sc_team_item_subtitle a:hover,
    .post_meta .post_meta_item.post_categories a:hover {
        color: {$colors['extra_text']} !important;
        background-color: {$colors['text_hover']};
    }
    .sticky .post_meta .post_meta_item.post_categories a:hover {
        color: {$colors['extra_bg_color']} !important;
        background-color: {$colors['extra_dark']};
    }
    .single-product .related > h2:before,
    .page_contact_form_title:before,
    .related_wrap .section_title.related_wrap_title:before,
    .single-product .related > h2:after,
    .page_contact_form_title:after,
    .related_wrap .section_title.related_wrap_title:after {
        background: {$colors['text_dark']};
    }
    .widget_twitter .sc_twitter_default + .widget_twitter_follow:before {
        border-color: {$colors['bg_color']};
    }
    .widget_twitter_follow {
        background-color: {$colors['alter_link']};
        color: {$colors['alter_hover']} !important;
        border-color: {$colors['alter_link']} !important;
    }
    .widget_twitter_follow:hover {
        border-color: {$colors['text_hover']} !important;
        background-color: {$colors['text_hover']} !important;
        color: {$colors['bg_color']} !important;
    }
    .minimal-light .esg-navigationbutton,
    .show_comments {
        color: {$colors['text_hover']} !important;
        border-color: {$colors['text_hover']} !important;
    }
    .minimal-light .esg-navigationbutton:hover,
    .show_comments:hover {
        background-color: {$colors['text_hover']} !important;
        color: {$colors['bg_color']} !important;
    }
    .extra-row .widget {
        border-color: {$colors['bd_color']};
    }    
    .widget_banner,
    .sc_twitter_default .sc_twitter_item {
        border-color: {$colors['alter_link']};
    }
    .sc_widget_twitter .sc_twitter_default .sc_twitter_item .sc_twitter_item_icon {
        background: {$colors['bg_color']};
    }    
    .sc_blogger_list .post_meta .post_meta_item.post_categories a:after {
        color: {$colors['text_link']} !important;
    }
    .sc_blogger_list .post_meta .post_meta_item.post_categories a {
        color: {$colors['text_link']};
    }
    .sc_blogger_list .post_meta .post_meta_item.post_categories a:hover {
        color: {$colors['text_hover']};
    }    
    .sc_blogger_default_over_centered_simple .sc_item_featured [class*="post_info_"] .post_meta:not(.post_meta_categories) a:hover {
      color: {$colors['text_link']} !important;
    }    
    .slider_container .slide_info .post_meta .post_meta_item:after {
        border-color: {$colors['inverse_link']} !important;
    }
    .slider_container .slide_info .post_meta *,    
    .slider_container .slide_info .post_meta,
    .slider_container .slide_info .slide_cats a,
    .slider_container .slide_info .slide_cats a:hover, 
    .slider_container .slide_info .slide_title a:hover,
    .slider_container .slide_info .slide_title a {
        color: {$colors['inverse_link']} !important;
    }
    .slider_container .slide_info .slide_title a {
        background-image: linear-gradient(to right,{$colors['inverse_link']} 0%,{$colors['inverse_link']} 100%) !important;
    }
    .mfp-bg,
    .elementor-lightbox {
        background-color: {$colors['extra_bg_color_03']};
    }
        /* Divider */
    .elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator {
        border-color: {$colors['bd_color']};
    }
    
    
    .sc_layouts_row_type_compact .sc_layouts_menu_mobile_button .sc_layouts_item_icon,
    .scheme_self.sc_layouts_row_type_compact .sc_layouts_menu_mobile_button .sc_layouts_item_icon {
        color: {$colors['text_dark']};
    }
     .sc_layouts_row_type_compact .sc_layouts_menu_mobile_button a:hover .sc_layouts_item_icon,
    .scheme_self.sc_layouts_row_type_compact .sc_layouts_menu_mobile_button a:hover .sc_layouts_item_icon {
        color: {$colors['text_link']};
    }
    .sc_blogger_default.sc_blogger_default_over_centered_middle [class*="post_info_"],
    .slider_titles_outside_wrap .slide_info,
    .sc_layouts_title.with_content .sc_layouts_title_content{
        background-color: {$colors['bg_color']};
        border-color: {$colors['extra_bg_color']};
    }
    
    .slider_titles_outside_wrap .slide_title a:hover{
        color: {$colors['text_dark']};
    }
    
    /* Page title and breadcrumbs */
    .sc_layouts_title .sc_layouts_title_meta,
    .sc_layouts_title .sc_layouts_title_breadcrumbs,
    .sc_layouts_title .sc_layouts_title_breadcrumbs a,
    .sc_layouts_title .sc_layouts_title_description,
    .sc_layouts_title .post_meta,
    .sc_layouts_title .post_meta_item,
    .sc_layouts_title .post_meta .vc_inline-link,
    .sc_layouts_title .post_meta_item a,
    .sc_layouts_title .post_meta_item:after,
    .sc_layouts_title .post_meta_item:hover:after,
    .sc_layouts_title .post_meta_item.post_meta_edit:after,
    .sc_layouts_title .post_meta_item.post_meta_edit:hover:after,
    .sc_layouts_title .post_meta_item.post_categories,
    .sc_layouts_title .post_meta_item.post_categories a,
    .sc_layouts_title .post_info .post_info_item,
    .sc_layouts_title .post_info .post_info_item a,
    .sc_layouts_title .post_info_counters .post_meta_item {
        color: {$colors['text_light']};
    }
    .sc_layouts_title .post_meta_item a:hover,
    .sc_layouts_title .post_meta_item a:focus,
    .sc_layouts_title .sc_layouts_title_breadcrumbs a:hover,
    .sc_layouts_title .sc_layouts_title_breadcrumbs a:focus,
    .sc_layouts_title .post_meta .vc_inline-link:hover,
    .sc_layouts_title .post_meta .vc_inline-link:focus,
    .sc_layouts_title a.post_meta_item:hover,
    .sc_layouts_title a.post_meta_item:focus,
    .sc_layouts_title .post_meta_item.post_categories a:hover,
    .sc_layouts_title .post_meta_item.post_categories a:focus,
    .sc_layouts_title .post_info .post_info_item a:hover,
    .sc_layouts_title .post_info .post_info_item a:focus,
    .sc_layouts_title .post_info_counters .post_meta_item:hover,
    .sc_layouts_title .post_info_counters .post_meta_item:focus {
        color: {$colors['text_hover']};
    }

    /*Twitter*/
    .widget_twitter .widget_content .sc_twitter_item, 
    .widget_twitter .widget_content li{
        color: {$colors['text_dark']};
    }
    .widget_twitter .widget_content .sc_twitter_item .sc_twitter_item_icon {
        color: {$colors['alter_link2']} !important;
    }
    
    /*Price*/
    .sc_price_item .sc_price_item_price{
        background-color: {$colors['alter_link']};
        color: {$colors['alter_hover']};
    }
    
    form.mc4wp-form .mc4wp-form-fields input[type="submit"]:focus, 
    form.mc4wp-form .mc4wp-form-fields input[type="submit"]:hover {
        background-color: transparent;
        color: {$colors['text_link']};
    }
    
    .sc_slider_controls .slider_controls_wrap > a,
    .slider_container.slider_controls_side .slider_controls_wrap > a,
    .slider_outer_controls_outside .slider_controls_wrap > a,
    .slider_outer_controls_side .slider_controls_wrap > a,
    .slider_outer_controls_top .slider_controls_wrap > a,
    .slider_outer_controls_bottom .slider_controls_wrap > a{
        color: {$colors['text_dark']};
    }
    
    .sc_slider_controls .slider_controls_wrap > a:hover,
    .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
    .slider_outer_controls_outside .slider_controls_wrap > a:hover,
    .slider_outer_controls_side .slider_controls_wrap > a:hover,
    .slider_outer_controls_top .slider_controls_wrap > a:hover,
    .slider_outer_controls_bottom .slider_controls_wrap > a:hover{
        border-color: {$colors['text_dark']};
        background-color: {$colors['text_dark']} !important;
        color: {$colors['inverse_link']};
    }
    .woocommerce ul.products li.product > .post_item.post_layout_thumbs:before, 
    .woocommerce ul.products li.product > .post_item.post_layout_thumbs:after, 
    .sc_blogger_item_default.sc_blogger_item_on_plate .sc_blogger_item_body:after, 
    .sc_blogger_item_list.sc_blogger_item_on_plate .sc_blogger_item_body:after, 
    .sc_blogger_item_wide.sc_blogger_item_on_plate .sc_blogger_item_body:after,
    .sc_blogger_item_default.sc_blogger_item_on_plate .sc_blogger_item_body:before, 
    .sc_blogger_item_list.sc_blogger_item_on_plate .sc_blogger_item_body:before, 
     .sc_blogger_item_wide.sc_blogger_item_on_plate .sc_blogger_item_body:before{
          border-color: {$colors['alter_link']} !important;
    }
    .sc_blogger_item_on_plate .sc_blogger_item_content .sc_blogger_item_title a:hover{
        color: {$colors['text_dark']};
    }
    
    .sc_slider_controls.slider_pagination_style_bullets .slider_pagination_bullet, 
    .slider_container .slider_pagination_wrap .swiper-pagination-bullet, 
    .slider_outer .slider_pagination_wrap .swiper-pagination-bullet, 
    .swiper-pagination-custom .swiper-pagination-button{
        border-color: {$colors['alter_bd_color']};
        background-color: {$colors['alter_bd_color']} ;
    }
    
    .swiper-pagination-custom .swiper-pagination-button.swiper-pagination-button-active, 
    .sc_slider_controls.slider_pagination_style_bullets .slider_pagination_bullet.swiper-pagination-bullet-active,
    .sc_slider_controls.slider_pagination_style_bullets .slider_pagination_bullet:hover, 
    .slider_container .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active, 
    .slider_outer .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active, 
    .slider_container .slider_pagination_wrap .swiper-pagination-bullet:hover, 
    .slider_outer .slider_pagination_wrap .swiper-pagination-bullet:hover{
        border-color: {$colors['text_dark']};
        background-color: {$colors['text_dark']} ;
    }
    
    .woocommerce ul.products li.product .price, 
    .woocommerce-page ul.products li.product .price, 
    .woocommerce ul.products li.product .price ins, 
    .woocommerce-page ul.products li.product .price ins,
    .woocommerce div.product p.price, 
    .woocommerce div.product span.price, 
    .woocommerce span.amount, 
    .woocommerce-page span.amount{
        color: {$colors['text_light']};
    }

    .woocommerce ul.products li.product .button:focus,  
    .woocommerce div.product form.cart .button:focus{
        color: {$colors['extra_text']};
    }
    
    .woocommerce .woocommerce-message .button, .woocommerce-message .button{
        color: {$colors['text_dark']};
    }
    
    .woocommerce #payment #place_order:hover, 
    .woocommerce-page #payment #place_order:hover,
    .woocommerce form.checkout_coupon .button:hover,
    .woocommerce table.cart td.actions .button:hover{
         background-color: {$colors['text_dark']} !important;
         border-color: {$colors['text_dark']} !important;
         color: {$colors['extra_text']} !important;
    }
    
    .woocommerce  .entry-summary .button:focus{
         color: {$colors['text_dark']} !important;
    }
    
    .post_item .post_title a:hover, 
    .post_item .post_title a:focus{
         color: {$colors['text_dark']};
    }
    
   
    .trx_addons_scroll_to_top,
    .trx_addons_cv .trx_addons_scroll_to_top{
        border-color: {$colors['alter_link']};
        color: {$colors['alter_hover']};
        background-color: {$colors['alter_link']};
    }
    .trx_addons_scroll_to_top:hover, 
    .trx_addons_cv .trx_addons_scroll_to_top:hover{
         border-color: {$colors['extra_bg_color']};
        color: {$colors['extra_text']};
        background-color: {$colors['extra_bg_color']};
    }
    
     .mejs-controls .mejs-button>button:hover, 
     .mejs-controls .mejs-button>button:focus{
         color: {$colors['alter_hover']};
     }
    
    .nav-links-more a:hover,
    .woocommerce-links-more a:hover {
        border-color: {$colors['alter_hover2']};
        color: {$colors['extra_text']};
        background-color: {$colors['alter_hover2']};
    }
    .sc_edd_details .downloads_page_tags .downloads_page_data>a,
    .widget_product_tag_cloud a, 
    .sc_edd_details .downloads_page_tags .downloads_page_data>a, 
    .widget_product_tag_cloud a, 
    .widget_tag_cloud a{
        color: {$colors['alter_hover']} !important;
        background-color: {$colors['inverse_light']} !important;
    }
    .sc_edd_details .downloads_page_tags .downloads_page_data>a:hover, 
    .widget_product_tag_cloud a:hover, 
    .widget_tag_cloud a:hover{
        color: {$colors['extra_text']} !important;
        background-color: {$colors['alter_hover2']} !important;
    }
    .post_content_single ul > li::before{
          background-color: {$colors['text_link']};
    }
    .woocommerce form.checkout_coupon .button:hover,  
    .woocommerce table.cart td.actions .button:hover, 
    .woocommerce form.checkout_coupon .button:focus,  
    .woocommerce table.cart td.actions .button:focus, 
    .woocommerce-message a:hover{
        border-color: {$colors['text_dark']} !important;
        background-color: {$colors['text_dark']};
        color: {$colors['extra_text']};
        
    }
    .woocommerce form.checkout_coupon .button:focus,  
    .woocommerce table.cart td.actions .button:focus, 
    .woocommerce-message a:hover{
        border-color: {$colors['text_dark']} !important;
        background-color: {$colors['text_dark']}!important;
        color: {$colors['extra_text']};
        
    }
    .woocommerce table.cart td.actions .button:focus,
    .woocommerce-message a.button:hover{
        border-color: {$colors['text_dark']} !important;
        background-color: {$colors['text_dark']} !important;
        color: {$colors['extra_text']} !important;
    }
    
   
    
    .woocommerce .woocommerce-error{
        border-top-color:{$colors['text_link']} !important;
    }
    .woocommerce .woocommerce-error:before{
        color:{$colors['text_link']} !important;
    }
    .woocommerce #payment #place_order,
    .woocommerce-page #payment #place_order,
    .woocommerce form.checkout_coupon .button,
    #add_payment_method .wc-proceed-to-checkout a.checkout-button,
    .woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
    .woocommerce-checkout .wc-proceed-to-checkout a.checkout-button,
    .woocommerce table.cart td.actions .button,
    .woocommerce ul.products li.product .button,
    .woocommerce div.product form.cart .button {
        background-color: transparent !important;
        color: {$colors['text_hover']} ;
    }
    .woocommerce #respond input#submit.alt:focus, 
    .woocommerce a.button.alt:focus, 
    .woocommerce button.button.alt:focus, 
    .woocommerce input.button.alt:focus,
    .woocommerce #respond input#submit.alt:hover, 
    .woocommerce a.button.alt:hover, 
    .woocommerce button.button.alt:hover, 
    .woocommerce input.button.alt:hover{
        border-color: {$colors['text_dark']} !important;
        background-color: {$colors['text_dark']} !important;
        color: {$colors['extra_text']};
    }
    .woocommerce-page #payment #place_order:hover{
        color: {$colors['text_dark']};
    }
    .select2-dropdown, 
    .select2-container .select2-results__option,
    .select2-container.select2-container--focus span.select2-selection, 
    .select2-container.select2-container--open span.select2-selection,
    .select2-container--default .select2-results>.select2-results__options,
    .select2-container .select2-results__option{
        background-color: {$colors['bg_color']} !important;
    }
    .select2-dropdown .select2-highlighted, 
    .select2-container .select2-results__option--highlighted[aria-selected]{
        background: {$colors['text_link']} !important;
    }
    
    .woocommerce #payment #place_order:hover, 
    .woocommerce-page #payment #place_order:hover{
         color: {$colors['extra_light']};
    }
    .select2-container.select2-container--default span.select2-choice,
    .select2-container.select2-container--default span.select2-selection{
         border-bottom-color: {$colors['text_dark']} ;
    }
    
    .woocommerce .sc_button_hover_strike .strike-text {
        color: {$colors['extra_text']} !important;
    }  
    .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered{
    background-color: transparent !important;
    }
    
    .post_featured.hover_dots .post_info{
        color: {$colors['alter_link3']} !important;
    }
    body .woocommerce .select_container select:focus, 
    body .woocommerce .select_container select, 
    body .woocommerce .select_container select:focus, 
    body .select_container:before, 
    body.woocommerce .woocommerce-ordering select, 
    body .woocommerce .woocommerce-ordering select, 
    body .woocommerce-ordering .select_container{
        background-color: {$colors['bg_color']} !important;
        background: {$colors['bg_color']} !important;
    }
    .trx_addons_demo_options_wrapper .trx_addons_demo_options_toolbar a{
         color: {$colors['alter_hover']};
    }
    
    .woocommerce .product .compare.sc_button_hover_strike, 
    .tinv-wishlist.tinvwl-after-add-to-cart .tinvwl_add_to_wishlist_button.sc_button_hover_strike, 
    .woocommerce div.product form.cart .single_add_to_cart_button.sc_button_hover_strike, 
    .widget.woocommerce .button.sc_button_hover_strike, 
    .widget.woocommerce .button.sc_button_hover_strike:focus, 
    li.product .post_featured.hover_shop_buttons .icons a.sc_button_hover_strike{
        color: {$colors['text_dark']} !important;
    }

    .comments_wrap .form-submit input[type="submit"]:hover{
        background-color: {$colors['text_dark']};
         color: {$colors['inverse_hover']};
    }
    .socials_wrap .social_item:hover .social_icon{
         background-color: {$colors['extra_bg_color']};
         color: {$colors['inverse_link']};
    }
    
    .sc_team .sc_team_item_thumb .sc_team_item_socials .social_item .social_icon{
         color: {$colors['alter_link3']};
         border-color: {$colors['alter_link3']};
    }

CSS;
		}

		return $css;
	}
}

