<?php
/**
 * Plugin support: WP Recipe Maker (OCDI support)
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.5
 */

// Don't load directly
if ( ! defined( 'TRX_ADDONS_VERSION' ) ) {
	wp_die( '-1' );
}


// Export WP Recipe Maker
if ( !function_exists( 'blabber_ocdi_wp_recipe_maker_export' ) ) {
	add_filter( 'trx_addons_filter_ocdi_export_files', 'blabber_ocdi_wp_recipe_maker_export' );
	function blabber_ocdi_wp_recipe_maker_export($output){
		$list = array();
		if (trx_addons_exists_wp_recipe_maker() && in_array('wp-recipe-maker', trx_addons_ocdi_options('required_plugins'))) {
			// Get plugin data from database
			$options = array('wprm_%');
			$list = trx_addons_ocdi_export_options($options, $list);

			// Save as file
			$file_path = TRX_ADDONS_PLUGIN_OCDI . "export/wp-recipe-maker.txt";
			trx_addons_fpc(trx_addons_get_file_dir($file_path), serialize($list));

			// Return file path
			$output .= '<h4><a href="'. esc_url(trx_addons_get_file_url($file_path)).'" download>'.esc_html__('WP Recipe Maker', 'blabber').'</a></h4>';
		}
		return $output;
	}
}

// Add plugin to import list
if ( !function_exists( 'blabber_ocdi_wp_recipe_maker_import_field' ) ) {
	add_filter( 'trx_addons_filter_ocdi_import_fields', 'blabber_ocdi_wp_recipe_maker_import_field' );
	function blabber_ocdi_wp_recipe_maker_import_field($output){
		$list = array();
		if (trx_addons_exists_wp_recipe_maker() && in_array('wp-recipe-maker', trx_addons_ocdi_options('required_plugins'))) {
			$output .= '<label><input type="checkbox" name="wp-recipe-maker" value="wp-recipe-maker">'. esc_html__( 'WP Recipe Maker', 'blabber' ).'</label><br/>';
		}
		return $output;
	}
}

// Import WP Recipe Maker
if ( !function_exists( 'blabber_ocdi_wp_recipe_maker_import' ) ) {
	add_action( 'trx_addons_action_ocdi_import_plugins', 'blabber_ocdi_wp_recipe_maker_import', 10, 1 );
	function blabber_ocdi_wp_recipe_maker_import( $import_plugins){
		if (trx_addons_exists_wp_recipe_maker() && in_array('wp-recipe-maker', $import_plugins)) {
			trx_addons_ocdi_import_dump('wp-recipe-maker');
			echo esc_html__('WP Recipe Maker import complete.', 'blabber') . "\r\n";
		}
	}
}
