<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage BLABBER
 * @since BLABBER 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php
		$blabber_mult = blabber_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120 * $blabber_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h5 class="author_title" itemprop="name">
		<?php
			// Translators: Add the author's name in the <span>
			blabber_show_layout( get_the_author() );
		?>
		</h5>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'blabber_kses_content' ); ?>
			<a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
													<?php
													// Translators: Add the author's name in the <span>
													esc_html_e( 'View All Posts', 'blabber' );
													?>
			</a>
			<?php do_action( 'blabber_action_user_meta' ); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
