<?php
/**
 * The template to display the single post header
 *
 * @package WordPress
 * @subpackage BLABBER
 * @since BLABBER 1.0.62
 */

if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {
	$blabber_post_format = str_replace( 'post-format-', '', get_post_format() );
	$post_meta = in_array( $blabber_post_format, array( 'video' ) ) ? get_post_meta( get_the_ID(), 'trx_addons_options', true ) : false;
	$video_autoplay = ! empty( $post_meta['video_autoplay'] ) && ! empty( $post_meta['video_list'] ) && is_array( $post_meta['video_list'] ) && count( $post_meta['video_list'] ) == 1;


	ob_start();
	?>
	<div class="post_header_wrap<?php
		if ( has_post_thumbnail() || str_replace( 'post-format-', '', get_post_format() ) == 'image' ) {
			echo ' with_featured_image';
		}
	?>">
		<?php
		// Featured image (as background)
		blabber_show_post_featured_image( array(
			'thumb_bg'  => true,
			'popup'     => true,
			'class_avg' => in_array( $blabber_post_format, array( 'video' ) )
								? ( ! $video_autoplay
									? 'content_wrap' 
									: 'with_thumb post_featured_bg with_video with_video_autoplay'
									)
								: '',
			'autoplay'  => $video_autoplay,
			'post_meta' => $post_meta
		) );
		// Post title and meta (in content_wrap)
		blabber_show_post_title_and_meta( true, true );
		?>
	</div>
	<?php
	$blabber_post_header = ob_get_contents();
	ob_end_clean();
	$blabber_with_featured_image = blabber_is_with_featured_image( $blabber_post_header );

	if ( strpos( $blabber_post_header, 'post_featured' ) !== false
		|| strpos( $blabber_post_header, 'post_title' ) !== false
		|| strpos( $blabber_post_header, 'post_meta' ) !== false
		|| strpos( $blabber_post_header, 'post_breadcrumbs' ) !== false
	) {
		do_action( 'blabber_action_before_post_header' );
		blabber_show_layout( $blabber_post_header );
		do_action( 'blabber_action_after_post_header' );
	}
}
